## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.10.0
%bcond_without check

# https://github.com/edoardottt/lit-bb-hack-tools
%global goipath         github.com/edoardottt/lit-bb-hack-tools
Version:                1.3.5

%gometa -L -f

%global common_description %{expand:
Little Bug Bounty & Hacking Tools.}

%global golicenses      LICENSE
%global godocs          README README-bbscope README-bbtargets\\\
                        README-chainredir README-checkbypass\\\
                        README-cleanpath README-doomxss README-eae\\\
                        README-eah README-eap README-eaparam\\\
                        README-eapath README-earh README-eefjsf\\\
                        README-genscope README-gitdump\\\
                        README-heacoll README-knoxssme\\\
                        README-kubemetrics README-nrp README-rapwp\\\
                        README-removehost README-removepro\\\
                        README-robotstxt README-rpfu README-subtake\\\
                        README-tahm

Name:           golang-github-edoardottt-lit-bb-hack-tools
Release:        %autorelease
Summary:        Little Bug Bounty & Hacking Tools

License:        GPL-3.0-only
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

# Rename README files
mv README.md README
mv bbscope/README.md README-bbscope
mv bbtargets/README.md README-bbtargets
mv chainredir/README.md README-chainredir
mv checkbypass/README.md README-checkbypass
mv cleanpath/README.md README-cleanpath
mv doomxss/README.md README-doomxss
mv eae/README.md README-eae
mv eah/README.md README-eah
mv eap/README.md README-eap
mv eaparam/README.md README-eaparam
mv eapath/README.md README-eapath
mv earh/README.md README-earh
mv eefjsf/README.md README-eefjsf
mv genscope/README.md README-genscope
mv gitdump/README.md README-gitdump
mv heacoll/README.md README-heacoll
mv knoxssme/README.md README-knoxssme
mv kubemetrics/README.md README-kubemetrics
mv nrp/README.md README-nrp
mv rapwp/README.md README-rapwp
mv removehost/README.md README-removehost
mv removepro/README.md README-removepro
mv robotstxt/README.md README-robotstxt
mv rpfu/README.md README-rpfu
mv subtake/README.md README-subtake
mv tahm/README.md README-tahm

%generate_buildrequires
%go_generate_buildrequires

%build
for cmd in genscope eapath eap kubemetrics tahm eaparam robotstxt knoxssme removehost cleanpath doomxss checkbypass bbscope eefjsf eah removepro eae rpfu earh nrp rapwp chainredir bbtargets heacoll; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc README README-bbscope README-bbtargets README-chainredir
%doc README-checkbypass README-cleanpath README-doomxss README-eae
%doc README-eah README-eap README-eaparam README-eapath
%doc README-earh README-eefjsf README-genscope README-gitdump
%doc README-heacoll README-knoxssme README-kubemetrics README-nrp
%doc README-rapwp README-removehost README-removepro
%doc README-robotstxt README-rpfu README-subtake README-tahm
%{_bindir}/*

%changelog
## START: Generated by rpmautospec
* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Mar 07 2024 Tim Semeijn <tim@goat.re> - 1.3.5-1
- Initial import (fedora#2265716).
## END: Generated by rpmautospec
